#
# spec file for package malaga-suomi
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name suomi-malaga
Name:           malaga-suomi
Version:        1.18
Release:        2.34
Summary:        Description of Finnish Morphology Written in Malaga
License:        GPL-2.0+
Group:          Productivity/Text/Spell
Url:            http://voikko.puimula.org/
Source:         http://www.puimula.org/voikko-sources/%{_name}/%{_name}-%{version}.tar.gz
BuildRequires:  malaga
BuildRequires:  python-xml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Suomi-Malaga is a description of Finnish morphology written in Malaga.

%prep
%setup -q -n %{_name}-%{version}

%build
CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
make voikko %{?_smp_mflags}

%install
make voikko-install DESTDIR=%{buildroot}%{_datadir}/malaga/1/mor-standard
# compat symlinks
cd %{buildroot}%{_datadir}/malaga
ln -s -t. 1/mor-standard/*

%files
%defattr(-,root,root)
%doc CONTRIBUTORS COPYING ChangeLog README README.fi
%{_datadir}/malaga/*

%changelog
* Mon Feb  9 2015 tchvatal@suse.com
- Version bump to 1.18:
  * No changelog provided
* Thu Nov 13 2014 tchvatal@suse.com
- Version bump to lates releases
  * many new words and fixes
* Sun Jan 26 2014 tchvatal@suse.com
- Version bump to 1.15 moving to new upstream location:
  * tons of new words and bugs fixed.
* Fri Jan 11 2013 pmladek@suse.com
- Update to version 1.12 (bnc#795350):
  * uses voikko dictionary format 2 that has been needed since
    libvoikko, version 2.2
  * many new words and fixes
* Sun Jan 29 2012 jengelh@medozas.de
- Remove redundant tags/sections per specfile guideline suggestions
- Parallel building using %%_smp_mflags
* Mon Jun 22 2009 pmladek@suse.cz
- Update to version 1.3 (bnc#541664):
  * new words have been added, especially from medical field
  * many changes in Sukija
  * some bugs related to compound words have been fixed, leading to better
    spelling suggestions and more accurate hyphenation
  * significant improvements related to grammar checking
- Change location from %%%%{_datadir}/malaga to %%%%{_datadir}/malaga/1/mor-standard
  according to the last instructions, see
  http://voikko.sourceforge.net/source-linux.html
- Added symlinks for backward compatibility
* Fri Jul 25 2008 sbrabec@suse.cz
- New SuSE package based on spec file from Sami Vento (bnc#394355).
